cd "___your_path_name_here___"
use data.dta
preserve
set more off

* NOTE: This .do file requires the cmp addon: install by typing _ssc install cmp_ in your stata command line
		
		
*** TABLE 1 ***

* Model 1
qui cmp (bank_lib =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105 imf_sba0105) ///
	(ckaopen0507 =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005 ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005   sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105) if ifs>200, ind(5 1) vce(robust)
matrix define atanhrho = e(b)
scalar rho_12 = tanh(atanhrho[1,31])
estadd scalar rho = rho_12
estimates store model1

qui cmp (bank_lib =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105) ///
	(k30507 =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005 ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005   sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105) if ifs>200, ind(5 1) vce(robust)
matrix define atanhrho = e(b)
scalar rho_12 = tanh(atanhrho[1,31])
estadd scalar rho = rho_12
estimates store model2


qui cmp (bank_lib_bin =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105) ///
	(ckaopen0507 =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005 ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005   sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105) if ifs>200, ind(4 1) vce(robust)
matrix define atanhrho = e(b)
scalar rho_12 = tanh(atanhrho[1,33])
estadd scalar rho = rho_12
estimates store model3

cmp (bank_lib_bin =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105) ///
	(k30507 =  fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 ///
	peg0005 ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005   sd_lex0005 ca_balance0005 ///
	ln_inflation_deflator0005 imf_sba0105) if ifs>200, ind(4 1) vce(robust)
matrix define atanhrho = e(b)
scalar rho_12 = tanh(atanhrho[1,33])
estadd scalar rho = rho_12
estimates store model4


esttab model1 model2 model3 model4, b(3) se(3) star(* 0.05 ** 0.01 *** 0.001) nogaps label ///
	order(fagdp0005 concentration0005) scalars(rho)


esttab model1 model2 using table1.rtf, b(3) se(3) star(* 0.05 ** 0.01 *** 0.001) nogaps label ///
	order(fagdp0005 concentration0005 ) replace scalars(rho)


esttab model3 model4 using table2.rtf, b(3) se(3) star(* 0.05 ** 0.01 *** 0.001) nogaps label ///
	order(fagdp0005 concentration0005 ) replace scalars(rho)


* FIGURE 1 *
estsimp oprobit bank_lib fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ln_inflation_deflator0005 imf_sba0105 if ifs > 200, vce(robust)
setx mean
local i = 10
while `i' < 100 {
  setx fagdp0005 p`i'
  simqi, genpr(pr0 pr3 pr4)
  egen prv4 = mean(pr4)
  egen prv4lo = pctile(pr4), p(2.5)
  egen prv4hi = pctile(pr4), p(97.5)
  if `i' == 10 {
    matrix resultsmat = (prv4[1], prv4lo[1], prv4hi[1])
  }
  else matrix resultsmat = (resultsmat \ prv4[1], prv4lo[1], prv4hi[1])
  drop pr0 pr3 pr4 prv4 prv4lo prv4hi 
  local i = `i' + 10
}

matrix colnames resultsmat = pr4 pr4lo pr4hi
matrix list resultsmat 
svmat resultsmat, names(col)
gen pctile = _n*10 if _n<10
twoway rarea pr4lo pr4hi pctile, scheme(s1mono) lcolor(gs10) fcolor(gs10) fintensity(inten100) || ///
	line pr4 pctile, lcolor(black) lstyle(solid) lwidth(thick) ///
	, xlabel(10(10)90) xtitle({stSerif:{it:FAGDP} (percentile)}) ytitle(Pr ({it:BANK LIBERALIZATION} = 4)) ///
	  ylabel(0(.25)1, grid) legend(off) saving(figure1.gph, replace)
drop pr4 pr4lo pr4hi

* FIGURE 2 *
estsimp reg ckaopen0507 fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ln_inflation_deflator0005 imf_sba0105 if ifs > 200, vce(robust) dropsims
setx mean
local i = 10
while `i' < 100 {
  setx fagdp0005 p`i'
  simqi, genev(ev)
  egen exvalue = mean(ev)
  egen exvaluelo = pctile(ev), p(2.5)
  egen exvaluehi = pctile(ev), p(97.5)
  if `i' == 10 {
    matrix resultsmat = (exvalue[1], exvaluelo[1], exvaluehi[1])
  }
  else matrix resultsmat = (resultsmat \ exvalue[1], exvaluelo[1], exvaluehi[1])
  drop exvalue exvaluelo exvaluehi
  local i = `i' + 10
  drop ev
}

matrix colnames resultsmat = exvalue exvaluelo exvaluehi
matrix list resultsmat 
svmat resultsmat, names(col)
twoway rarea exvaluelo exvaluehi pctile, scheme(s1mono)  lcolor(gs10) fcolor(gs10) fintensity(inten100) || ///
	line exvalue pctile, lcolor(black) lstyle(solid) lwidth(thick) ///
	, xlabel(10(10)90) xtitle({stSerif:{it:FAGDP} (percentile)}) ytitle(Expected Value of {it:CKAOPEN}) ///
	  ylabel(-1(1)3, grid) legend(off) saving(figure2.gph, replace)
drop exvalue exvaluelo exvaluehi
	

	
	
	
oprobit bank_lib fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ln_inflation_deflator0005 imf_sba0105 if ifs > 200, vce(robust)
estimates store table5a
probit bank_lib_bin fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ln_inflation_deflator0005 imf_sba0105 if ifs > 200, vce(robust)
estimates store table5b
esttab table5a table5b using table5.rtf, b(3) se(3) star(* 0.05 ** 0.01 *** 0.001) nogaps label ///
	order(fagdp0005 concentration0005 ) replace 

reg k30507 fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ln_inflation_deflator0005 imf_sba0105 if ifs > 200, vce(robust)
estimates store table6a
reg ckaopen0507 fagdp0005 concentration0005 ln_gdppc_2000ppp0005  gdp_growth0005 polity20005 ln_trade_gdp0005 crisis20005 peg0005  ln_reserves_imports0005 ln_m2_gdp0005 ln_debt_service_gni0005 sd_lex0005 ca_balance0005 ln_inflation_deflator0005 imf_sba0105 if ifs > 200, vce(robust)
estimates store table6b
esttab table6a table6b using table6.rtf, b(3) se(3) star(* 0.05 ** 0.01 *** 0.001) nogaps label ///
	order(fagdp0005 concentration0005 ) replace 


	
